%global commit a853bd0593425b86ce237667a2bf63ffd736c3d5

Name:           nodejs-passport-oauth2
Version:        1.1.2
Release:        2%{?dist}
Summary:        OAuth 2.0 authentication strategy for Passport

License:        MIT
URL:            https://github.com/jaredhanson/passport-oauth2
Source0:        https://github.com/jaredhanson/passport-oauth2/archive/%{commit}/passport-oauth2-%{commit}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
BuildRequires:  npm(chai-passport-strategy) >= 0.2.0
BuildRequires:  npm(passport-strategy)
BuildRequires:  npm(oauth) >= 0.9.11
BuildRequires:  npm(uid2)

%description
General-purpose OAuth 2.0 authentication strategy for Passport.

This module lets you authenticate using OAuth 2.0 in your Node.js
applications. By plugging into Passport, OAuth 2.0 authentication can
be easily and unobtrusively integrated into any application or
framework that supports Connect-style middleware, including Express.

Note that this strategy provides generic OAuth 2.0 support. In many
cases, a provider-specific strategy can be used instead, which cuts
down on unnecessary configuration, and accommodates any
provider-specific quirks. See the list for supported providers.

Developers who need to implement authentication against an OAuth 2.0
provider that is not already supported are encouraged to sub-class
this strategy. If you choose to open source the new provider-specific
strategy, please add it to the list so other people can find it.


%prep
%setup -q -n passport-oauth2-%{commit}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/passport-oauth2
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/passport-oauth2
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require test/bootstrap/node test/*.test.js test/**/*.test.js


%files
%doc LICENSE README.md
%{nodejs_sitelib}/passport-oauth2


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Tom Hughes <tom@compton.nu> - 1.1.2-1
- Update to 1.1.2 upstream release
- Switch to using github as source so we get tests

* Fri Jan 31 2014 Tom Hughes <tom@compton.nu> - 1.1.1-1
- Update to 1.1.1 upstream release

* Sun Aug 18 2013 Tom Hughes <tom@compton.nu> - 1.1.0-1
- Initial build of 1.1.0
